liborigin2: Origin750Parser Class Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Origin750Parser Class Reference

`#include <Origin750Parser.h>`

Inheritance diagram for Origin750Parser:

## Public Member Functions
| Origin750Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from OriginParser
int | findExcelByName (const string &name) const
int | findFunctionByName (const string &name) const
int | findMatrixByName (const string &name) const
int | findSpreadByName (const string &name) const
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Protected Member Functions
time_t | doubleToPosixTime (double jdt)
virtual void | readColorMap (ColorMap &colorMap)
void | readColumnValues (unsigned int spread, unsigned int col, short data_type, char valuesize, unsigned int nr, bool validColumn=true)
void | readExcelInfo ()
void | readFunction (unsigned int colpos, char valuesize, unsigned int *oldpos)
void | readGraphAxisBreakInfo (GraphAxisBreak &axis_break)
void | readGraphAxisFormatInfo (GraphAxisFormat &format)
unsigned int | readGraphAxisInfo (GraphAxis &axis)
void | readGraphAxisPrefixSuffixInfo (const string &sec_name, unsigned int size, GraphLayer &layer)
void | readGraphAxisTickLabelsInfo (GraphAxisTick &tick)
void | readGraphGridInfo (GraphGrid &grid)
virtual bool | readGraphInfo ()
void | readMatrixInfo ()
void | readMatrixValues (short data_type, char data_type_u, char valuesize, unsigned int size, int mIndex=-1)
void | readParameters ()
void | readProjectTree ()
virtual void | readProjectTreeFolder (tree< ProjectNode >::iterator parent)
void | readSpreadInfo ()
void | readWindowProperties (Window &window, unsigned int size)
void | skipLine ()
void | skipObjectInfo ()
double | stringToDouble (const string &s)
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByIndexAndName (int spread, unsigned int index, const string &name)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
int | findExcelColumnByName (int excel, int sheet, const string &name) const
pair < Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const

## Protected Attributes
unsigned int | d_colormap_offset
iendianfstream | file
FILE * | logfile
unsigned int | objectIndex

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrices
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount

## Constructor & Destructor Documentation

Origin750Parser::Origin750Parser | ( | const string & | fileName) |  |

References d_colormap_offset, objectIndex, and OriginParser::windowsCount.

## Member Function Documentation

time_t Origin750Parser::doubleToPosixTime | ( | double | jdt) |  |
| inlineprotected

Referenced by parse(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), Origin810Parser::readProjectTreeFolder(), readProjectTreeFolder(), and readWindowProperties().

bool Origin750Parser::parse | ( | ) |  |
| virtual

Implements OriginParser.

Reimplemented in Origin800Parser.

References Origin::Rect::bottom, OriginParser::convertSpreadToExcel(), doubleToPosixTime(), file, OriginParser::findExcelByName(), OriginParser::findMatrixByName(), OriginParser::findSpreadByName(), OriginParser::functions, Origin::Rect::left, LOG_PRINT, logfile, OriginParser::matrices, OriginParser::notes, objectIndex, readColumnValues(), readExcelInfo(), readFunction(), readGraphInfo(), readMatrixInfo(), readMatrixValues(), readParameters(), readProjectTree(), readSpreadInfo(), OriginParser::resultsLog, Origin::Rect::right, skipLine(), OriginParser::speadSheets, and Origin::Rect::top.

void Origin750Parser::readColorMap | ( | ColorMap & | colorMap) |  |
| protectedvirtual

Reimplemented in Origin500Parser, and Origin810Parser.

References file, Origin::ColorMapLevel::fillColor, Origin::ColorMapLevel::fillPattern, Origin::ColorMapLevel::fillPatternColor, Origin::ColorMapLevel::fillPatternLineWidth, Origin::ColorMapLevel::labelVisible, Origin::ColorMap::levels, Origin::ColorMapLevel::lineColor, Origin::ColorMapLevel::lineStyle, Origin::ColorMapLevel::lineVisible, and Origin::ColorMapLevel::lineWidth.

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), readGraphInfo(), Origin800Parser::readMatrixInfo(), and readMatrixInfo().

void Origin750Parser::readColumnValues | ( | unsigned int | spread,
|  | unsigned int | col,
|  | short | data_type,
|  | char | valuesize,
|  | unsigned int | nr,
|  | bool | validColumn = `true`
| ) |  |
| protected

References file, LOG_PRINT, logfile, and OriginParser::speadSheets.

Referenced by Origin410Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), and parse().

void Origin750Parser::readExcelInfo | ( | ) |  |
| protected

References Origin::Date, Origin::Day, Origin::DecimalPlaces, OriginParser::excels, file, OriginParser::findExcelByName(), OriginParser::findExcelColumnByName(), LOG_PRINT, logfile, Origin::Month, Origin::Numeric, readWindowProperties(), Origin::SignificantDigits, Origin::Text, Origin::TextNumeric, and Origin::Time.

Referenced by Origin410Parser::parse(), Origin800Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), and parse().

void Origin750Parser::readFunction | ( | unsigned int | colpos,
|  | char | valuesize,
|  | unsigned int * | oldpos
| ) |  |
| protected

References Origin::Function::begin, Origin::Function::end, file, Origin::Function::formula, OriginParser::functions, LOG_PRINT, logfile, Origin::Function::name, toLowerCase(), Origin::Function::totalPoints, and Origin::Function::type.

Referenced by Origin410Parser::parse(), Origin800Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), and parse().

void Origin750Parser::readGraphAxisBreakInfo | ( | GraphAxisBreak & | axis_break) |  |
| protected

References file, Origin::GraphAxisBreak::from, Origin::GraphAxisBreak::log10, Origin::GraphAxisBreak::minorTicksAfter, Origin::GraphAxisBreak::position, Origin::GraphAxisBreak::scaleIncrementAfter, Origin::GraphAxisBreak::show, and Origin::GraphAxisBreak::to.

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and readGraphInfo().

void Origin750Parser::readGraphAxisFormatInfo | ( | GraphAxisFormat & | format) |  |
| protected

References Origin::GraphAxisFormat::axisPosition, Origin::GraphAxisFormat::axisPositionValue, Origin::GraphAxisFormat::color, file, Origin::GraphAxisFormat::hidden, Origin::GraphAxisFormat::majorTickLength, Origin::GraphAxisFormat::majorTicksType, Origin::GraphAxisFormat::minorTicksType, and Origin::GraphAxisFormat::thickness.

Referenced by readGraphAxisInfo().

unsigned int Origin750Parser::readGraphAxisInfo | ( | GraphAxis & | axis) |  |
| protected

References file, Origin::GraphAxis::formatAxis, Origin::GraphAxis::majorGrid, Origin::GraphAxis::minorGrid, readGraphAxisFormatInfo(), readGraphAxisTickLabelsInfo(), readGraphGridInfo(), and Origin::GraphAxis::tickAxis.

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and readGraphInfo().

void Origin750Parser::readGraphAxisPrefixSuffixInfo | ( | const string & | sec_name,
|  | unsigned int | size,
|  | GraphLayer & | layer
| ) |  |
| protected

References Origin::GraphAxisFormat::factor, file, Origin::GraphAxis::formatAxis, Origin::GraphAxisFormat::prefix, Origin::GraphAxisFormat::suffix, Origin::GraphLayer::xAxis, and Origin::GraphLayer::yAxis.

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and readGraphInfo().

void Origin750Parser::readGraphAxisTickLabelsInfo | ( | GraphAxisTick & | tick) |  |
| protected

References Origin::Categorical, Origin::GraphAxisTick::color, Origin::ColumnHeading, Origin::GraphAxisTick::columnName, Origin::GraphAxisTick::dataName, Origin::Date, Origin::Day, Origin::GraphAxisTick::decimalPlaces, file, OriginParser::findDataByIndex(), Origin::GraphAxisTick::fontBold, Origin::GraphAxisTick::fontSize, Origin::Month, Origin::Numeric, Origin::GraphAxisTick::rotation, Origin::GraphAxisTick::showMajorLabels, Origin::Text, Origin::TickIndexedDataset, Origin::Time, Origin::GraphAxisTick::valueType, and Origin::GraphAxisTick::valueTypeSpecification.

Referenced by readGraphAxisInfo().

void Origin750Parser::readGraphGridInfo | ( | GraphGrid & | grid) |  |
| protected

References Origin::GraphGrid::color, file, Origin::GraphGrid::hidden, Origin::GraphGrid::style, and Origin::GraphGrid::width.

Referenced by readGraphAxisInfo().

bool Origin750Parser::readGraphInfo | ( | ) |  |
| protectedvirtual

Reimplemented in Origin500Parser, Origin610Parser, Origin700Parser, Origin410Parser, and Origin850Parser.

References Origin::Figure::attach, Origin::Figure::clientRect, Origin::Bitmap::clientRect, Origin::Figure::color, Origin::Line::color, d_colormap_offset, file, Origin::Figure::fillAreaColor, Origin::Figure::fillAreaPattern, Origin::Figure::fillAreaPatternColor, Origin::Figure::fillAreaPatternWidth, Origin::ColorMap::fillEnabled, OriginParser::findDataByIndex(), OriginParser::graphs, Origin::Rect::height(), Origin::Rect::left, LOG_PRINT, logfile, Origin::None, readColorMap(), readGraphAxisBreakInfo(), readGraphAxisInfo(), readGraphAxisPrefixSuffixInfo(), readWindowProperties(), Origin::Scale, Origin::LineVertex::shapeLength, Origin::LineVertex::shapeType, Origin::LineVertex::shapeWidth, skipLine(), Origin::Figure::style, Origin::Rect::top, Origin::Figure::type, Origin::Figure::useBorderColor, Origin::Rect::width(), Origin::Figure::width, Origin::LineVertex::x, and Origin::LineVertex::y.

Referenced by Origin800Parser::parse(), and parse().

void Origin750Parser::readMatrixInfo | ( | ) |  |
| protected

References Origin::MatrixSheet::colorMap, Origin::MatrixSheet::columnCount, Origin::MatrixSheet::command, Origin::MatrixSheet::coordinates, Origin::DecimalPlaces, Origin::MatrixSheet::decimalPlaces, file, OriginParser::findMatrixByName(), LOG_PRINT, logfile, OriginParser::matrices, Origin::MatrixSheet::numericDisplayType, readColorMap(), readWindowProperties(), Origin::MatrixSheet::rowCount, Origin::SignificantDigits, Origin::MatrixSheet::significantDigits, skipObjectInfo(), stringToDouble(), Origin::MatrixSheet::valueTypeSpecification, Origin::MatrixSheet::view, and Origin::MatrixSheet::width.

Referenced by parse(), and Origin700Parser::readMatrixInfo().

void Origin750Parser::readMatrixValues | ( | short | data_type,
|  | char | data_type_u,
|  | char | valuesize,
|  | unsigned int | size,
|  | int | mIndex = `-1`
| ) |  |
| protected

References file, LOG_PRINT, logfile, and OriginParser::matrices.

Referenced by Origin410Parser::parse(), Origin800Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), and parse().

void Origin750Parser::readParameters | ( | ) |  |
| protected

References file, LOG_PRINT, and logfile.

Referenced by Origin410Parser::parse(), Origin800Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), and parse().

void Origin750Parser::readProjectTree | ( | ) |  |
| protected

References tree< T, tree_node_allocator >::begin(), tree< T, tree_node_allocator >::depth(), tree< T, tree_node_allocator >::end(), file, LOG_PRINT, logfile, OriginParser::matrices, Origin::Window::objectID, OriginParser::projectTree, readProjectTreeFolder(), and OriginParser::windowsCount.

Referenced by Origin610Parser::parse(), Origin800Parser::parse(), Origin700Parser::parse(), and parse().

void Origin750Parser::readProjectTreeFolder | ( | tree< ProjectNode >::iterator | parent) |  |
| protectedvirtual

Reimplemented in Origin810Parser.

References tree< T, tree_node_allocator >::append_child(), doubleToPosixTime(), file, OriginParser::findObjectByIndex(), OriginParser::notes, OriginParser::projectTree, and OriginParser::windowsCount.

Referenced by readProjectTree().

void Origin750Parser::readSpreadInfo | ( | ) |  |
| protected

References Origin::Date, Origin::Day, Origin::DecimalPlaces, file, OriginParser::findColumnByName(), OriginParser::findSpreadByName(), LOG_PRINT, logfile, Origin::Month, Origin::Numeric, readWindowProperties(), Origin::SignificantDigits, skipObjectInfo(), OriginParser::speadSheets, Origin::Text, Origin::TextNumeric, and Origin::Time.

Referenced by parse().

void Origin750Parser::readWindowProperties | ( | Window & | window,
|  | unsigned int | size
| ) |  |
| protected

References Origin::Window::creationDate, doubleToPosixTime(), file, Origin::Window::frameRect, Origin::Window::hidden, Origin::Window::label, LOG_PRINT, logfile, Origin::Window::modificationDate, Origin::Window::name, Origin::Window::objectID, objectIndex, Origin::Window::state, and Origin::Window::title.

Referenced by readExcelInfo(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), readGraphInfo(), Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), readMatrixInfo(), Origin800Parser::readSpreadInfo(), and readSpreadInfo().

void Origin750Parser::skipLine | ( | ) |  |
| protected

References file.

Referenced by Origin410Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin800Parser::parse(), Origin610Parser::parse(), parse(), Origin850Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), readGraphInfo(), Origin800Parser::readMatrixInfo(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), Origin810Parser::readProjectTreeFolder(), and skipObjectInfo().

void Origin750Parser::skipObjectInfo | ( | ) |  |
| protected

References file, and skipLine().

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), readMatrixInfo(), Origin800Parser::readSpreadInfo(), and readSpreadInfo().

double Origin750Parser::stringToDouble | ( | const string & | s) |  |
| inlineprotected

Referenced by Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and readMatrixInfo().

## Member Data Documentation

unsigned int Origin750Parser::d_colormap_offset
| protected

Referenced by Origin750Parser(), Origin800Parser::Origin800Parser(), Origin810Parser::Origin810Parser(), Origin800Parser::parse(), Origin850Parser::readGraphInfo(), and readGraphInfo().

iendianfstream Origin750Parser::file
| protected

Referenced by Origin610Parser::findObjectInfoSectionByName(), Origin800Parser::findStringPos(), Origin800Parser::parse(), Origin410Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), parse(), Origin810Parser::readColorMap(), Origin500Parser::readColorMap(), readColorMap(), readColumnValues(), readExcelInfo(), readFunction(), readGraphAxisBreakInfo(), readGraphAxisFormatInfo(), readGraphAxisInfo(), readGraphAxisPrefixSuffixInfo(), readGraphAxisTickLabelsInfo(), readGraphGridInfo(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), readGraphInfo(), Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), readMatrixInfo(), readMatrixValues(), Origin500Parser::readNotes(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), readParameters(), readProjectTree(), Origin810Parser::readProjectTreeFolder(), readProjectTreeFolder(), Origin610Parser::readResultsLog(), Origin800Parser::readResultsLog(), Origin800Parser::readSpreadInfo(), readSpreadInfo(), readWindowProperties(), skipLine(), and skipObjectInfo().

FILE* Origin750Parser::logfile
| protected

Referenced by Origin410Parser::parse(), Origin700Parser::parse(), Origin500Parser::parse(), Origin610Parser::parse(), Origin800Parser::parse(), parse(), readColumnValues(), readExcelInfo(), readFunction(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), readGraphInfo(), Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), readMatrixInfo(), readMatrixValues(), Origin500Parser::readNotes(), Origin800Parser::readNotes(), Origin610Parser::readNotes(), readParameters(), readProjectTree(), Origin800Parser::readResultsLog(), Origin610Parser::readResultsLog(), Origin800Parser::readSpreadInfo(), readSpreadInfo(), and readWindowProperties().

unsigned int Origin750Parser::objectIndex
| protected

Referenced by Origin750Parser(), parse(), Origin500Parser::readNotes(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), and readWindowProperties().

The documentation for this class was generated from the following files:

- /build/liborigin2/src/liborigin2/Origin750Parser.h
- /build/liborigin2/src/liborigin2/Origin750Parser.cpp